{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.hive.hyprland;
in {
  config = lib.mkIf cfg.enable {
    wayland.windowManager.hyprland = {
      enable = true;
      systemd.enable = false;
      systemd.variables = ["--all"];
      xwayland.enable = true;
    };

    home.packages = with pkgs; [
      wl-clipboard
    ];

    services.hypridle.enable = true;

    services.wpaperd = {
      enable = true;
      settings = {
        default = {
          path = ../../../static/wallpaper/stones.jpg;
        };
      };
    };
  };
}
